<template>
  <div id="collectionAccount">
    <search-box-new
      ref="searchBox"
      :formData="formData"
      :formList="formList"
      @search="search"
      @init="init"
    />
    <table-list
      rowKey="tenantId"
      ref="tableList"
      :tableSets="tableSet"
      :tableData="tableData"
      :navText="navText"
      :loading="loading"
      @addClick="addClick"
    >
      <template slot="customize">
        <el-button type="warning" @click="remove"> 批量删除 </el-button>
      </template>
      <template slot="btn" slot-scope="props">
        <el-button type="text" @click="addClick(props.scope.row)"
          >修改</el-button
        ><el-button type="text" @click="del(props.scope.row)">删除</el-button>
      </template>
    </table-list>
    <pagination
      :total="total"
      :pageSize.sync="formData.pageSize"
      :currentPage.sync="formData.pageNum"
      @search="search"
    />
    <dislog
      :dialogVisible.sync="dialogVisible"
      @search="search"
      :activeData="activeData"
    ></dislog>
  </div>
</template>

<script>
import dislog from "./dislog.vue";
import searchBoxNew from "@/components/searchBoxNew";
import tableList from "@/components/tableList";
import pagination from "@/components/pagination";
export default {
  name: "CollectionAccount",
  components: { searchBoxNew, tableList, pagination, dislog },
  data() {
    return {
      loading: false,
      navText: {
        title: "收款账户",
        index: 0,
        ch: "条",
        num: true,
        choice: true,
        addHide: false,
        custom: false,
        openCheckMore: true,
      },
      formList: [
        {
          prop: "tenantid",
          placeholder: "请选择供应商名称",
          scope: "systemtenantlist",
        },
      ],
      formData: {},
      tableSet: [
        {
          label: "标题",
          prop: "tenantName",
          hidden: true,
        },
        {
          label: "业务归属",
          prop: "accountList",
          hidden: true,
        },
        {
          label: "账户类型",
          prop: "tenantName",
          hidden: true,
        },
        {
          label: "开户名",
          prop: "tenantName",
          hidden: true,
        },
        {
          label: "开户行",
          prop: "tenantName",
          hidden: true,
        },
        {
          label: "银行账户",
          prop: "tenantName",
          hidden: true,
        },
      ],
      tableData: [],
      total: 0,
      dialogVisible: false,
      activeData: {},
    };
  },
  created() {
    this.search(2);
  },
  methods: {
    addClick(data) {
      this.activeData = data || {};
      this.dialogVisible = true;
    },
    search(v) {
      this.loading = true;
      if (v === 2) {
        this.formData = {
          pageSize: 10,
          pageNum: 1,
        };
        this.$nextTick(() => {
          this.$refs.tableList.clearMoreActive();
        });
      }
      if (v === 3) {
        this.$nextTick(() => {
          this.$refs.tableList.clearMoreActive();
        });
      }
      this.$api
        .systemtenantlist(this.formData)
        .then((res) => {
          this.tableData = res.rows;
          this.total = res.total;
          this.navText.index = res.total;
        })
        .finally(() => {
          this.loading = false;
        });
    },
    init() {
      this.search(2);
    },
    del(v) {
      this.$confirm("确定删除此内容？", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
      })
        .then(() => {
          this.$api
            .systemtenantdeletetop({ tenantIds: [v.tenantId] })
            .then((res) => {
              this.$message.success("删除成功");
              this.$store.commit("TENANTLIST");
              this.search(3);
            });
        })
        .catch(() => {});
    },
    excelPort() {
      if (this.$refs.tableList.allCheckData.length === 0) {
        this.$message.warning("请勾选数据");
        return;
      }
    },
    remove() {
      if (this.$refs.tableList.allCheckData.length === 0) {
        this.$message.warning("请勾选数据");
        return;
      }
      this.$confirm("确定批量删除选中的数据吗？", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
      })
        .then(() => {
          this.$api
            .systemtenantdeletetop({
              tenantIds: this.$refs.tableList.allCheckData.map(
                (i) => i.tenantId
              ),
            })
            .then(() => {
              this.$message.success("批量删除成功");
              this.$store.commit("TENANTLIST");
              this.search(3);
            });
        })
        .catch(() => {});
    },
  },
};
</script>

<style lang="scss" scoped></style>
